Bug 576018 - (CVE-2010-1084) CVE-2010-1084 kernel: bluetooth: potential bad memory access with sysfs files
CVE-2010-1084 kernel: bluetooth: potential bad memory access with sysfs files
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=lkml,reported...
: Security
Depends On: 576019 576020 576021 576022
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 22:33 EDT by Eugene Teo (Security Response)
Modified: 2015-02-16 10:47 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 04:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-03-22 22:33:11 EDT
Description of problem:
When creating a high number of Bluetooth sockets (L2CAP, SCO and RFCOMM) it is possible to scribble repeatedly on arbitrary pages of memory. Ensure that the content of these sysfs files is always less than one page. Even if this means truncating. The files in question are scheduled to be moved over to debugfs in
the future anyway.

Upstream patch:
http://git.kernel.org/linus/101545f6fef4a0a3ea8daf0b5b880df2c6a92a69

Acknowledgements:

Red Hat would like to thank Neil Brown for reporting this issue.
Comment 3 errata-xmlrpc 2010-08-10 14:01:27 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0610 https://rhn.redhat.com/errata/RHSA-2010-0610.html
Comment 4 errata-xmlrpc 2010-08-17 11:52:54 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0631 https://rhn.redhat.com/errata/RHSA-2010-0631.html

Note You need to log in before you can comment on or make changes to this bug.